<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CSS Styling Properties and Positioning</title>

    <link rel="stylesheet" href="./style.css">
</head>
<body>

    <h2>CSS Common Styling</h2>

    <div id="div-1">This is a div</div>
    <span id="span-1">This is a span</span>
    
    <img src="./images/puppy" alt="Puppy Image" id="img">
    <span id="span-2">This is another span</span>
    <div id="div-2">This is another div</div>

    <h3>Notes in block, inline, and inline-block</h3>

    <p id="p1">Block takes up the whole width by default</p>
    <p id="p2">Width 60</p>
    <p id="p3">Width 40</p>
    
    <p>Even if there is enough space, block elements do not sit next to each other unless if they are floated.</p>

    <p>Inline elements are things like bold and italics. You cannot control the height and the width of these elements.</p>

    <p>Inline-block can sit on the same line and combines our block and our inline property.</p>


    <div class="sample">width = 30</div>
    <div class="sample">width = 30</div>
    <div class="sample">width = 30</div>

    <hr>

    <h3>Float</h3>
    <p>
        The float property is used for positioning and formating content. e.g let an image float left to the text in a container
    </p>

    <p>
        <img src="./images/puppy" alt="image pupp 2" class="img-float">

        Lorem ipsum dolor sit amet consectetur adipisicing elit. Adipisci illo qui earum aliquid, rerum voluptatum ullam aut. Totam, veritatis. Aspernatur nam ea voluptatem sapiente similique, cumque est sed deserunt nemo!
    </p>

    <hr>

    <h3>CSS Units</h3>

    <h4>px vs %</h4>
    <div class="box fifty-percent">50%</div>
    <div class="box one-hundred-pixels">100px</div>

    <div class="box fifty-vw">50vw</div>
    <div class="box twenty-five-vh">25vh</div>

    <br>

    <div class="parent">
        <div class="box fifty-percent">50%</div>
        <div class="box one-hundred-pixels">100px</div>

        <div class="box fifty-vw">50vw</div>
        <div class="box twenty-five-vh">25vh</div>
    </div>

</body>
</html>